
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/RemoveVirtualCamera3D.svg") ]
  public partial class RemoveCameraSlot:Action
  {
    [Export]
    public VirtualCamera virtualCamera3D;

    protected override void _OnTrigger()
    {
      var vm = CameraManager.Get();      
      vm.RemoveSlot( vm.GetSlot( virtualCamera3D ) );

    }
  }
}